GNU bug report logs - #58208
[PATCH 0/7] Add Sonic Visualiser and VAMP plugins.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Lilah Tascheter <lilah@HIDDEN>; Keywords: patch moreinfo; dated Sat, 1 Oct 2022 00:21:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) moreinfo. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58208 <at> debbugs.gnu.org:


Received: (at 58208) by debbugs.gnu.org; 27 Oct 2022 19:13:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 15:13:04 2022
Received: from localhost ([127.0.0.1]:59369 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo8JM-0006Go-6d
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 15:13:04 -0400
Received: from knopi.disroot.org ([178.21.23.139]:39812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1oo8JJ-0006GS-Ry
 for 58208 <at> debbugs.gnu.org; Thu, 27 Oct 2022 15:13:02 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 3D25F4E802;
 Thu, 27 Oct 2022 21:13:01 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id TBg0s2prpFxk; Thu, 27 Oct 2022 21:13:00 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1666897980; bh=2GS3HI+D7t/allRM0+t5KE1NYdQZZwmApWxZ8+HzejI=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=GdA+h87vrHCAL/QF6X3PoBOCBzr1sJRAjz24XT4xAAIOlM7cHZYH5XMmfGPIPNRo+
 8hFTdw+qZ1OKFmEzLcv30TM3TfC04xiAGKBcZ8ErIN51kQEe1mpuEnRGr6cA1M4c5D
 1PSySxp1VtqWoPIlqIcrouZc0P4ln+8ua7/R2h4Y/9vyojSVHgth6IK+a/KZwYDbKL
 rWSIrY8hTyiVVIo09L6TPWfWj8/VYABF4j06lp9gHzEFcdPRxLvXSxGEiywP8dXOCd
 NQyrHFaOf8OlPfmGKSTJBiU/AwOHYAkiTr7gBIdiuSma2ft1wSaC9DsjnBd162Gfz9
 2omXpcP+j9Yvg==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Thu, 27 Oct 2022 20:12:59 +0100
Message-Id: <CNWY0OECGPJZ.276WOCIA9XN3Y@guix-framework>
From: "(" <paren@HIDDEN>
To: "Lilah Tascheter" <lilah@HIDDEN>, <58208 <at> debbugs.gnu.org>
Subject: Re: [bug#58208] [PATCH 6/7] gnu: Add vamp-aubio-plugins.
References: <cover.1664583143.git.lilah@HIDDEN>
 <7545dbcf059f8a60f3b1a48411a3e30a893f0edc.1664583143.git.lilah@HIDDEN>
In-Reply-To: <7545dbcf059f8a60f3b1a48411a3e30a893f0edc.1664583143.git.lilah@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat Oct 1, 2022 at 1:22 AM BST,
 Lilah Tascheter via Guix-patches
 via wrote: > + (native-search-paths > + (list (search-path-specification
 > + (variable "VAMP_PATH") > + (files '("lib/vamp"))))) Actually, on second
 thought, is this necessary for VAMP *plugins*, not just VAMP itsalf? 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 FROM_ONE_CHAR          Bogus FROM name
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 58208
Cc: ludo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

On Sat Oct 1, 2022 at 1:22 AM BST, Lilah Tascheter via Guix-patches via wro=
te:
> +    (native-search-paths
> +      (list (search-path-specification
> +              (variable "VAMP_PATH")
> +              (files '("lib/vamp")))))

Actually, on second thought, is this necessary for VAMP *plugins*,
not just VAMP itsalf?

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.

Message received at 58208 <at> debbugs.gnu.org:


Received: (at 58208) by debbugs.gnu.org; 27 Oct 2022 19:11:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 15:11:33 2022
Received: from localhost ([127.0.0.1]:59364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo8Hs-0006EC-PW
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 15:11:33 -0400
Received: from knopi.disroot.org ([178.21.23.139]:45586)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1oo8Hp-0006E3-SZ
 for 58208 <at> debbugs.gnu.org; Thu, 27 Oct 2022 15:11:31 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 15E914E7FD;
 Thu, 27 Oct 2022 21:11:29 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id XjhpmVY13gGc; Thu, 27 Oct 2022 21:11:27 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1666897887; bh=Xa8muIuL3fo/esJh02FRAenSPdmFsVKWfWfzuPjkEdo=;
 h=Date:Cc:Subject:From:To:References:In-Reply-To;
 b=E23Uo0hnR2bWkIsDM9jnwTNGxw37lkpa8gdH6D1JtBRs7IksCxFwO+gxtDnrkqz//
 /EweC6hwTbSOwmKhdIk3koOPd3x/8u1N21YD8KQotZqnAWrQWg+zfRtwVSAK3MAefv
 UBjtiCzvMGKVx13tWRkcz0VUryiMPh6NdtFax631r93vlKYmQTImWcEzXAvDQjNAls
 wpSpMOQKzzxtW88s8Xj1c70Y7l6wPaqHugM3/F6Li1nMjdP3BcyBBpVGiBB8ej0wy/
 j9VhRQSGwELCrelaInlcPoMWbEXsDOZgzPSv6aLbFgkCcgM76KItoEISUO7Xb5SoXJ
 tXUd91rVeSfWw==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Thu, 27 Oct 2022 20:11:27 +0100
Message-Id: <CNWXZHXWC6S5.1QNO7U0HWJUIF@guix-framework>
Subject: Re: [bug#58208] [PATCH 7/7] gnu: Add nnls-chroma.
From: "(" <paren@HIDDEN>
To: "Lilah Tascheter" <lilah@HIDDEN>, <58208 <at> debbugs.gnu.org>
References: <cover.1664583143.git.lilah@HIDDEN>
 <9ffc498b9fcafdacf9625c2215b617537211ccb9.1664583143.git.lilah@HIDDEN>
In-Reply-To: <9ffc498b9fcafdacf9625c2215b617537211ccb9.1664583143.git.lilah@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat Oct 1, 2022 at 1:22 AM BST,
 Lilah Tascheter via Guix-patches
 via wrote: > + (uri (string-append > +
 "https://code.soundsoftware.ac.uk/attachments/download/"
 > + "1691/nnls-chroma-1.1.tar.gz")) 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 FROM_ONE_CHAR          Bogus FROM name
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 58208
Cc: ludo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

On Sat Oct 1, 2022 at 1:22 AM BST, Lilah Tascheter via Guix-patches via wro=
te:
> +              (uri (string-append
> +                     "https://code.soundsoftware.ac.uk/attachments/downl=
oad/"
> +                     "1691/nnls-chroma-1.1.tar.gz"))

Add file-name.

> +              (sha256
> +                (base32
> +                  "06n66ff4w4a07rfz1kn0hq2g953dsx8a4cx1bhpvswqds1kb70md"=
))))

One space indents...

> +    (arguments
> +     `(#:tests? #f ;; no tests available
> +       #:make-flags
> +       (list "-f" "Makefile.linux"
> +             (string-append "CC=3D" ,(cc-for-target))
> +             (string-append "VAMP_SDK_DIR=3D" (assoc-ref %build-inputs "=
vamp")
> +                            "/include/vamp-sdk"))
> +       #:phases
> +       ,#~(modify-phases %standard-phases
> +            (delete 'configure) ;; no configure phase
> +            (replace 'install ;; no install phase
> +              (lambda _
> +                (let ((outdir (string-append #$output "/lib/vamp"))
> +                      (outfile "nnls-chroma.so"))
> +                  (mkdir-p outdir)
> +                  (copy-file outfile (string-append outdir "/" outfile))=
))))))

Modernised,

  (arguments
   (list #:tests? #f ;no tests
         #:make-flags
         #~(list "-f" "Makefile.linux"
                 (string-append "CC=3D" #$(cc-for-target))
                 (string-append "VAMP_SDK_DIR=3D"
                                #$(this-package-input vamp)
                                "/include/vamp-sdk"))
         #:phases
         #~(modify-phases %standard-phases
             (delete 'configure) ;no configure script
             (replace 'install
               (lambda _
                 (install-file "nnls-chroma.so"
                               (string-append #$output
                                              "/lib/vamp")))))))

> +    (native-search-paths
> +      (list (search-path-specification
> +              (variable "VAMP_PATH")
> +              (files '("lib/vamp")))))

Actually, on second thought, I don't think this is necessary for
VAMP *plugins*, only VAMP itself? (Not certain though.)

> +    (home-page "http://www.isophonics.net/nnls-chroma/")

home-page goes before synopsis :)

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.

Message received at 58208 <at> debbugs.gnu.org:


Received: (at 58208) by debbugs.gnu.org; 27 Oct 2022 19:05:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 15:05:39 2022
Received: from localhost ([127.0.0.1]:59351 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo8CB-00064m-7r
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 15:05:39 -0400
Received: from knopi.disroot.org ([178.21.23.139]:50474)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1oo8C9-00064e-GX
 for 58208 <at> debbugs.gnu.org; Thu, 27 Oct 2022 15:05:38 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id DBCF54E6F6;
 Thu, 27 Oct 2022 21:05:36 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with UTF8SMTP id dj5BXVQHw7PE; Thu, 27 Oct 2022 21:05:35 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1666897519; bh=X5ZiWMAR8O0BhEGvMRgJZxaSmHv/j+lB/1OOFZslZ+o=;
 h=Date:Subject:From:To:Cc:References:In-Reply-To;
 b=FJcBdTq8IsWufU5z283ANiGIdUR7FZf4Nv/k/pP23eU7l6uiOgsLbtXeLGCHVJssN
 R4KSOoJxIF3ApfefmvSCpMj84e1v79XqZ7VwWYqEIwPtVf6WsuSi13WybA1+ofMphC
 vADmLzjdW3tOeUU4tJmgyUid9ToOVaL0vAnagE3ADfLOtOdrkmTnw7w/XA4PMqu5ES
 +tCpryLJcpLfPTYvyMgqABZckfV2mBvXaPsYyYRoQq7g7GG/cZK58oDlW3n3LHwpbt
 Snox6RizKG7rauD2N9rOVdy9sbWvMR59UjTs1HtQRYjeL6iduyD+Y5MWfL8i1idCQc
 3y/a3BQqausDg==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Thu, 27 Oct 2022 20:05:18 +0100
Message-Id: <CNWXUSNKPSQA.2JQ3931R4JCDJ@guix-framework>
Subject: Re: [bug#58208] [PATCH 6/7] gnu: Add vamp-aubio-plugins.
From: "(" <paren@HIDDEN>
To: "Lilah Tascheter" <lilah@HIDDEN>, <58208 <at> debbugs.gnu.org>
References: <cover.1664583143.git.lilah@HIDDEN>
 <7545dbcf059f8a60f3b1a48411a3e30a893f0edc.1664583143.git.lilah@HIDDEN>
In-Reply-To: <7545dbcf059f8a60f3b1a48411a3e30a893f0edc.1664583143.git.lilah@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat Oct 1, 2022 at 1:22 AM BST,
 Lilah Tascheter via Guix-patches
 via wrote: > + (uri (string-append "https://aubio.org/pub/vamp-aubio-plugins/"
 > + "vamp-aubio-plugins-" version ".tar.bz2")) Add a file-name field. 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 FROM_ONE_CHAR          Bogus FROM name
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 58208
Cc: ludo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

On Sat Oct 1, 2022 at 1:22 AM BST, Lilah Tascheter via Guix-patches via wro=
te:
> +              (uri (string-append "https://aubio.org/pub/vamp-aubio-plug=
ins/"
> +                                  "vamp-aubio-plugins-" version ".tar.bz=
2"))

Add a file-name field.

> +              (sha256
> +                (base32
> +                  "1gpcg7hih42qmys8a9zylgas3xfrzqijasgaphm43bmiw7vrvxis"=
))

One space indents here.

> +              (snippet '(begin ;; remove outdated & bundled waf
> +                          (delete-file "waf")
> +                          (delete-file-recursively "waflib")))))

Use gexp instead of quote here,

  (snippet
   #~(begin
       (delete-file "waf")
       (delete-file-recursively "waflib")))

> +    (arguments
> +      `(#:tests? #f ;; no tests available
> +        #:phases
> +        (modify-phases %standard-phases
> +          (add-before 'configure 'setup-waf
> +            (lambda* (#:key inputs #:allow-other-keys)
> +              (let ((waf (assoc-ref inputs "python-waf")))
> +                (copy-file (string-append waf "/bin/waf") "waf")))))))

Use the modern argument style (and correct comment style),

  (arguments
   (list #:tests? #f ;no tests
         #:phases
         #~(modify-phases %standard-phases
             (add-before 'configure 'setup-waf
               (lambda* (#:key inputs #:allow-other-keys)
                 (copy-file (search-input-file inputs "bin/waf")
                            "waf"))))))

> +    (native-search-paths
> +      (list (search-path-specification
> +              (variable "VAMP_PATH")
> +              (files '("lib/vamp")))))

Use the ``$VAMP_PATH'' variable here.

> +    (description "A set of VAMP plugins wrapping the audio annotation fe=
atures
> +of Aubio for use in a VAMP host. Includes plugins for note tracking, ene=
rgy

guix lint says "sentences in description should be followed by two
spaces"; remember to run it for every package you write :) Also, full
sentences.

> +    (home-page "https://aubio.org/vamp-aubio-plugins/")

Move home-page, etc etc :)

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.

Message received at 58208 <at> debbugs.gnu.org:


Received: (at 58208) by debbugs.gnu.org; 27 Oct 2022 18:59:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 14:59:55 2022
Received: from localhost ([127.0.0.1]:59338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo86d-0005u8-61
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 14:59:55 -0400
Received: from knopi.disroot.org ([178.21.23.139]:52540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1oo86b-0005ty-ER
 for 58208 <at> debbugs.gnu.org; Thu, 27 Oct 2022 14:59:53 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id C280E4E7F4;
 Thu, 27 Oct 2022 20:59:52 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 9vSydy7lowwh; Thu, 27 Oct 2022 20:59:51 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1666897190; bh=XLCgCzmq9Qe/JNWQ/8T8Zzwo8Krm29dKQVCjuFbMSGc=;
 h=Date:Cc:Subject:From:To:References:In-Reply-To;
 b=TC2vioDAUVPYUEbLIWy0lslEw4hsqRkfWSe20/IFwpWGrLilHM3zAlZNXlaSJ3QF8
 io9AJ0VWPKmgVjaiY7nzpwzOokIGlNU581D3S1vaRQRmgCYysnzE+n0PV1qGvEHSE7
 KAXJU26kXshE6OFwPf8tyUzdl4JrJLUOvTU9aavSfR/Ix9czGQGcIxqYS4yJeVctiy
 iXX4alSbMXaR6orVA/J76LyZWCHyryCprdGR8QeGqWh82BmqFC/mk2pbGycvBX79PK
 4zhUozMrhzNGjzxHfIATXYNLEt+MOHGAtQv/atFZGTl8NpH8K2L4lD4+3e3OIeWGeA
 6m9RVy+14VTZw==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Thu, 27 Oct 2022 19:59:49 +0100
Message-Id: <CNWXQLHKSSM2.1DLS1JS7UF85I@guix-framework>
Subject: Re: [bug#58208] [PATCH 5/7] gnu: Add VAMP plugins to VAMP_PATH.
From: "(" <paren@HIDDEN>
To: "Lilah Tascheter" <lilah@HIDDEN>, <58208 <at> debbugs.gnu.org>
References: <cover.1664583143.git.lilah@HIDDEN>
 <e1bd1e6a04b3423ba72ba598f75741f5f10cf36f.1664583143.git.lilah@HIDDEN>
In-Reply-To: <e1bd1e6a04b3423ba72ba598f75741f5f10cf36f.1664583143.git.lilah@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat Oct 1, 2022 at 1:22 AM BST,
 Lilah Tascheter via Guix-patches via wrote: > @@ -3330, 6 +3330,
 10 @@ (define-public rubberband > + (native-search-paths
 > + (list (search-path-specification > + (var [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 FROM_ONE_CHAR          Bogus FROM name
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 58208
Cc: ludo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

On Sat Oct 1, 2022 at 1:22 AM BST, Lilah Tascheter via Guix-patches via wro=
te:
> @@ -3330,6 +3330,10 @@ (define-public rubberband
> +    (native-search-paths
> +     (list (search-path-specification
> +            (variable "VAMP_PATH")
> +            (files '("lib/vamp")))))
> @@ -3547,6 +3551,10 @@ (define-public vamp
> +    (native-search-paths
> +     (list (search-path-specification
> +            (variable "VAMP_PATH")
> +            (files '("lib/vamp")))))

Maybe factor this search-path-specification into a private variable
called ``$VAMP_PATH'', then write,

  (native-search-paths (list $VAMP_PATH))

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.

Message received at 58208 <at> debbugs.gnu.org:


Received: (at 58208) by debbugs.gnu.org; 27 Oct 2022 18:57:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 14:57:09 2022
Received: from localhost ([127.0.0.1]:59320 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo83x-0005pB-DL
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 14:57:09 -0400
Received: from knopi.disroot.org ([178.21.23.139]:41766)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1oo83v-0005p2-S4
 for 58208 <at> debbugs.gnu.org; Thu, 27 Oct 2022 14:57:08 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 371E64E808;
 Thu, 27 Oct 2022 20:57:07 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id bg8WihMCfg4K; Thu, 27 Oct 2022 20:57:05 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1666897022; bh=hCN+R3RDqe6fcqrATyhRWv51Q2UBjb8NO/WTktE0h3E=;
 h=Date:Cc:Subject:From:To:References:In-Reply-To;
 b=PaIcIvYwkhS96nWsULZaX1L+wyO5NewVNVGH/K1XT1vZXno6/nVBXGuZq8VPbU6kt
 0OrIFxKD9hmMnrM5my8UaRH7+iRD5ahoefNyiwN/RQNmZxA65O6ASJRPKhyzDHPCvm
 0oSwXdZwuZlq3McOr4U/DDPgt3sDHS+W7HefM6ZJC90Neb8kHO1DDOqxWNxpePuC1c
 ePvP9kLHDkaFKlbwD+iA35qf2d1ww552/qDOvFO1NtCDqoLexPN7LjrjUbpnzZNA2N
 YV/cumf7cJUIrt+u7qDj4Wy8GvQ6cfD5WCOEltScrXNkviOGXDSP7cBcYx4o9queXO
 SluWQmGapaMiA==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Thu, 27 Oct 2022 19:57:02 +0100
Message-Id: <CNWXOGHX6LG2.WQL3LUULNS8F@guix-framework>
Subject: Re: [bug#58208] [PATCH 4/7] gnu: Add sonic-visualiser.
From: "(" <paren@HIDDEN>
To: "Lilah Tascheter" <lilah@HIDDEN>, <58208 <at> debbugs.gnu.org>
References: <cover.1664583143.git.lilah@HIDDEN>
 <5c85435a14c0b7e423ac3b9d03f238835c7cec0d.1664583143.git.lilah@HIDDEN>
In-Reply-To: <5c85435a14c0b7e423ac3b9d03f238835c7cec0d.1664583143.git.lilah@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat Oct 1, 2022 at 1:22 AM BST,
 Lilah Tascheter via Guix-patches
 via wrote: > + (uri (string-append > +
 "https://github.com/sonic-visualiser/sonic-visualiser"
 > + "/releases/download/sv_v" version [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 FROM_ONE_CHAR          Bogus FROM name
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 58208
Cc: ludo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

On Sat Oct 1, 2022 at 1:22 AM BST, Lilah Tascheter via Guix-patches via wro=
te:
> +              (uri (string-append
> +                     "https://github.com/sonic-visualiser/sonic-visualis=
er"
> +                     "/releases/download/sv_v" version "/sonic-visualise=
r-"
> +                     version ".tar.gz"))

file-name, please.

> +              (sha256
> +                (base32
> +                  "18w2mf4c6sis0lg6dq75v4zb8q9rbmbmlfvcvk60lyqynmvq4yy5"=
))))

Too many spaces again :)

> +    (arguments (list #:tests? #f)) ;; tests fail due to build sandbox

Could you please be more specific here? How does it fail? Also, the usual
practice in Scheme is to use a single semicolon for comments at the *end*
of a line (as opposed to two for a full line, three for a whole section of
a file, and four for the whole file).

> +    (inputs (list alsa-lib

Put the (list ...) on a new line.

> +    (home-page "https://sonicvisualiser.org")

home-page goes before synopsis.

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.

Message received at 58208 <at> debbugs.gnu.org:


Received: (at 58208) by debbugs.gnu.org; 27 Oct 2022 18:53:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 14:53:33 2022
Received: from localhost ([127.0.0.1]:59310 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo80T-0005jE-Cu
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 14:53:33 -0400
Received: from knopi.disroot.org ([178.21.23.139]:46164)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1oo80S-0005j7-3u
 for 58208 <at> debbugs.gnu.org; Thu, 27 Oct 2022 14:53:32 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 719DE4E816;
 Thu, 27 Oct 2022 20:53:31 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id DJabijDHYA4F; Thu, 27 Oct 2022 20:53:30 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1666896809; bh=O8OQB8nSfb9nklwkMtBr4lWeSRfeQnASVXEJ7gt9C+g=;
 h=Date:Cc:Subject:From:To:References:In-Reply-To;
 b=c4tNZmo2z4OT6PxzLXKDkOBD6H3pUlHiCndP2qce2MhvO3tGWSdfhtZckHbkDIGAC
 3OIeh4prwngK7js3kMbnrWRFF3fh6TfZa/hYZ5h8CI08+UZRWIQu5cPCO44LLVmaHl
 CduC4sxGStlVDZj2ZQSjnGmlKMFB2Br+NC/GXWglednjQZQ3o5aSqesZyPQk989++K
 fzGIqsgfD7OzAZkRe7zhv/Vrztd8IMT5LGoMzFHlqsE6rH+65Ka80mHK3pZdEj8Ogk
 vjDhdYmDq1VcPaekkgp17j2duesRufSUAJ5b9gt/9BKVHzsDfGLQ7fjcvYr9+mSVas
 tEt64hoN4xY2Q==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Thu, 27 Oct 2022 19:53:29 +0100
Message-Id: <CNWXLQTMSSWE.26UZR0O4S0TDD@guix-framework>
Subject: Re: [bug#58208] [PATCH 3/7] gnu: Add libfishsound.
From: "(" <paren@HIDDEN>
To: "Lilah Tascheter" <lilah@HIDDEN>, <58208 <at> debbugs.gnu.org>
References: <cover.1664583143.git.lilah@HIDDEN>
 <f896d13c494d7735999e4a99aad5199f0c26145a.1664583143.git.lilah@HIDDEN>
In-Reply-To: <f896d13c494d7735999e4a99aad5199f0c26145a.1664583143.git.lilah@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat Oct 1, 2022 at 1:22 AM BST,
 Lilah Tascheter via Guix-patches
 via wrote: > + (uri (string-append > +
 "https://downloads.xiph.org/releases/libfishsound/"
 > + "libfishsound-" version ".tar.gz")) file-name here, please. 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 FROM_ONE_CHAR          Bogus FROM name
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 58208
Cc: ludo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

On Sat Oct 1, 2022 at 1:22 AM BST, Lilah Tascheter via Guix-patches via wro=
te:
> +             (uri (string-append
> +                    "https://downloads.xiph.org/releases/libfishsound/"
> +                    "libfishsound-" version ".tar.gz"))

file-name here, please.

> +             (sha256
> +               (base32
> +                 "1iz7mn6hw2wg8ljaw74f4g2zdj68ib88x4vjxxg3gjgc5z75f2rf")=
)))

One space indentation for sha256 and base32.

> +    (build-system gnu-build-system)
> +    (inputs (list libvorbis speex))
> +    (synopsis "Library for encoding and decoing Xiph.org codecs")
> +    (description "A C library wrapping individual Xiph.org codecs, inclu=
ding
> +FLAC, Speex, and Vorbis, providing a unified higher-level interface for =
handling
> +raw codec streams.")

Full sentences, please :)

> +    (home-page "https://xiph.org/fishsound/")))

Move the home-page before synopsis.

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.

Message received at 58208 <at> debbugs.gnu.org:


Received: (at 58208) by debbugs.gnu.org; 27 Oct 2022 18:52:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 14:52:40 2022
Received: from localhost ([127.0.0.1]:59306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo7zb-0005hh-Rh
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 14:52:40 -0400
Received: from knopi.disroot.org ([178.21.23.139]:58672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1oo7zV-0005hT-CS
 for 58208 <at> debbugs.gnu.org; Thu, 27 Oct 2022 14:52:37 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id B25904E7F6;
 Thu, 27 Oct 2022 20:52:32 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id g4FBoTDM5mjq; Thu, 27 Oct 2022 20:52:31 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1666896749; bh=YNjnV24/KkgGlenS6mZku7XpJ0gch4fkfO4k74v0GE8=;
 h=Date:To:Cc:Subject:From:References:In-Reply-To;
 b=WNQgtVfRSez6pgGeC9K2EBluLQLgPrLnwQF41E6TY4YILZGpeihshAVpKt1N3Dcos
 QCChleyoFoQvvKijiDmEIQsCh8dxS1Xfc/QArgBmM5DOWZWJo+Vrl5uDOPBlLcPInj
 y3+OL4p4LppX/Q1JhKWzosTVhm1pOBHCv7s5eDephOy9tS4iERX9TBBV69BH1LgXMW
 x+1aiCvqzFTJSppNuloofT2Bs/WGnTrumiLTfQs5gnr0TLff2+XHMZZNWPCeWGOg30
 5zmReigdS12J6+hVTlmWiXI/xcfQ445EVSfcrNtff4TKvTcNXecKYXzMxCAq0pggup
 8F9z2/aQsigug==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Thu, 27 Oct 2022 19:52:29 +0100
Message-Id: <CNWXKZ251SHI.2M9GL6TS5UF19@guix-framework>
To: "Lilah Tascheter" <lilah@HIDDEN>, <58208 <at> debbugs.gnu.org>
Subject: Re: [bug#58208] [PATCH 2/7] gnu: libkate: Add optional input oggz.
From: "(" <paren@HIDDEN>
References: <cover.1664583143.git.lilah@HIDDEN>
 <65512e2f6081960c357ff9b7404d0c6222d95710.1664583143.git.lilah@HIDDEN>
In-Reply-To: <65512e2f6081960c357ff9b7404d0c6222d95710.1664583143.git.lilah@HIDDEN>
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat Oct 1, 2022 at 1:22 AM BST,
 Lilah Tascheter via Guix-patches
 via wrote: > * gnu/packages/xiph.scm (libkate)[inputs]: Add optional input
 oggz. > --- > gnu/packages/xiph.scm | 3 +-- > 1 file chan [...] 
 Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 FROM_ONE_CHAR          Bogus FROM name
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 T_SPF_HELO_TEMPERROR   SPF: test of HELO record failed (temperror)
X-Debbugs-Envelope-To: 58208
Cc: ludo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

On Sat Oct 1, 2022 at 1:22 AM BST, Lilah Tascheter via Guix-patches via wro=
te:
> * gnu/packages/xiph.scm (libkate)[inputs]: Add optional input oggz.
> ---
>  gnu/packages/xiph.scm | 3 +--
>  1 file changed, 1 insertion(+), 2 deletions(-)
>
> diff --git a/gnu/packages/xiph.scm b/gnu/packages/xiph.scm
> index b97d2a0553..112b8ddf87 100644
> --- a/gnu/packages/xiph.scm
> +++ b/gnu/packages/xiph.scm
> @@ -293,8 +293,7 @@ (define-public libkate
>                "0s3vr2nxfxlf1k75iqpp4l78yf4gil3f0v778kvlngbchvaq23n4"))))
>     (build-system gnu-build-system)
>     (native-inputs (list doxygen bison pkg-config))
> -   ;; FIXME: Add optional input liboggz
> -   (inputs (list libogg libpng python-wrapper zlib))
> +   (inputs (list libogg oggz libpng python-wrapper zlib))
>     (synopsis "Karaoke and text codec for embedding in ogg")
>     (description
>      "Kate is an overlay codec, originally designed for karaoke and text,
> --=20
> 2.37.2

LGTM.

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.

Message received at 58208 <at> debbugs.gnu.org:


Received: (at 58208) by debbugs.gnu.org; 27 Oct 2022 18:48:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 14:48:08 2022
Received: from localhost ([127.0.0.1]:59302 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo7vE-0005bP-6V
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 14:48:08 -0400
Received: from knopi.disroot.org ([178.21.23.139]:50150)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1oo7v9-0005ax-LD
 for 58208 <at> debbugs.gnu.org; Thu, 27 Oct 2022 14:48:06 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 6E2404E7F1;
 Thu, 27 Oct 2022 20:48:02 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 1V8mmxKrrzlf; Thu, 27 Oct 2022 20:48:01 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1666896481; bh=gZXEMmKPA3T5smH7wnT6lVjMEMEL8EN5WrgaTVQ0i30=;
 h=Date:To:Cc:Subject:From:References:In-Reply-To;
 b=jLBCYH9hw2DABx5/jNS0HA88kIzSm3bV1YhsMbet5kXIHg3/Dd0GWySqrHBo3+krF
 3EXqKb6r1T5HTM4PdgWX3+WbJO2EEO/snn0BvknLNPbU0L5VaxkdARdc1WZv8lXxyt
 u01Gpx9UcY6fLidTzBuAzm+eIXmUyY15nb2koy/A+oziDJRQIRx5INGytR6YgYy5sN
 dg59pO9S4lNHp28xBGTNxttsj9qJY+QjOf1w0741AtpB9T58fMwHkcBtll9UmHKl1p
 ys+T24CDeKd8vR6s6iHl+VzsZY8k2Zk7tVXwc/pnwOWKSK1ZFq6BZNupnc3USpu1W7
 2k4aadIoizdBw==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Thu, 27 Oct 2022 19:48:00 +0100
Message-Id: <CNWXHJHQ8AIY.32NX7VI2IF31U@guix-framework>
To: "Lilah Tascheter" <lilah@HIDDEN>, <58208 <at> debbugs.gnu.org>
Subject: Re: [bug#58208] [PATCH 1/7] gnu: Add oggz.
From: "(" <paren@HIDDEN>
References: <cover.1664583143.git.lilah@HIDDEN>
 <db29dd7eb2b6b344adcef49d8f15f52881c24e9b.1664583143.git.lilah@HIDDEN>
In-Reply-To: <db29dd7eb2b6b344adcef49d8f15f52881c24e9b.1664583143.git.lilah@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hey Lilah :), On Sat Oct 1, 2022 at 1:22 AM BST,
 Lilah Tascheter
 via Guix-patches via wrote: > + (uri (string-append
 "https://downloads.xiph.org/releases/liboggz/"
 > + "liboggz-" version ".tar.gz")) Add a file-name field below uri like this:
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 FROM_ONE_CHAR          Bogus FROM name
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 58208
Cc: ludo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Hey Lilah :),

On Sat Oct 1, 2022 at 1:22 AM BST, Lilah Tascheter via Guix-patches via wro=
te:
> +             (uri (string-append "https://downloads.xiph.org/releases/li=
boggz/"
> +                                 "liboggz-" version ".tar.gz"))

Add a file-name field below uri like this:

  (file-name (string-append name "-" version ".tar.gz"))

> +             (sha256
> +               (base32
                 ^
> +                 "0nj17lhnsw4qbbk8jy4j6a78w6v2llhqdwq46g44mbm9w2qsvbvb")=
)))
                   ^
Remove these spaces.

> +    (propagated-inputs (list util-linux)) ;; for getopt in oggz-diff

Try to avoid propagated-inputs if possible; instead, patch the
src/tools/ogg-diff.in file to refer to commands directly, e.g.

  (substitute* "src/tools/ogg-diff.in"
    (("`getopt")
     (string-append "`"
                    (search-input-file inputs "bin/getopt"))))

Do the same for any other commands referenced in the script (even
basic things like ls) so that the script works inside a

  guix shell oggz --pure

> +    (synopsis "Library and cli tool for working with Ogg files")

s/cli/command line/

> +    (description "A C library for reading and writing Ogg files and stre=
ams in
> +multiple formats, bundled with cli tools to inspect, validate, crop, and=
 edit
> +Ogg files.")

Use full sentences for descriptions.

> +    (home-page "https://xiph.org/oggz/")))

home-page usually goes between the various input fields and synopsis.

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.

Message received at 58208 <at> debbugs.gnu.org:


Received: (at 58208) by debbugs.gnu.org; 1 Oct 2022 00:24:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 30 20:24:51 2022
Received: from localhost ([127.0.0.1]:43195 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oeQJH-0001JP-0c
	for submit <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:24:51 -0400
Received: from sendmail.purelymail.com ([34.202.193.197]:43522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lilah@HIDDEN>) id 1oeQJ6-0001J3-PT
 for 58208 <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:24:43 -0400
Authentication-Results: purelymail.com; auth=pass
DKIM-Signature: a=rsa-sha256;
 b=iztMOWsZdKQKH025fENuwsW4OqTFl8zpSPORpJRYqg1neg5Ne69GIeRknEUdpHWEtq7chglZT9dtviIBADteNDGj5J1CLEpCTXqz90h20uWhmNCSzogiREe3jHcx8bEPPswiRmiwSbOK5HhtfMMVbOPilGGmNPrmLkoeq/dx3gkaOwkiVsYg2iMvRLsbuCFjAHkJs1OHFXYwDf346UoLw/wIqAFfuMEqyYC28WHvMhuJHQBYDGfarTr7ezRhTwccY+VHk5hC97akz2dccTKCEbsHG7m5vNMcyIeMJbU4nnxDZgO+xbZ9r6sF/XdJv2R9QaQggG67bMbohQ1xBJIFxA==;
 s=purelymail2; d=lunabee.space; v=1;
 bh=Aq2NUORO4lUCG3paYzE5Jum1a0FKB4O2SeDmeSi8fck=; h=Received:From:To:Subject; 
DKIM-Signature: a=rsa-sha256;
 b=MV4Xo0Vu9DGl82ta2AlfVWuke1Qypk1G3CoaNc9rboEgfZ3nueuwqOzxcPhvV1tL+qQTLtYn09fj7QJgPgnhKNBAEzWNZQvgvXu9zRnxdYcFWAP2ktApmL1nB10ZPkhtHWXnI8LcXBTH2RCY3HwVVhOb6+NqtQCWwARs6+kTG6jb1ATizJX2E9XmMOHCqrUj5JA5XNPyULZcZQgcT8tPD+t+BreUD8olikw1O4YSn7J0SHZThlZ9X6j/C4h9Pd9i61DHbDQbxfU9Pw2Sl06l8EwNVPXcVsgcyKOQdmhJjzaObXF69iZ0l+w6wfbrNAatYMeOITVx4Kx3Ttu6uI+Mmw==;
 s=purelymail2; d=purelymail.com; v=1;
 bh=Aq2NUORO4lUCG3paYzE5Jum1a0FKB4O2SeDmeSi8fck=;
 h=Feedback-ID:Received:From:To:Subject; 
Feedback-ID: 8937:2070:null:purelymail
X-Pm-Original-To: 58208 <at> debbugs.gnu.org
Received: by smtp.purelymail.com (Purelymail SMTP) with ESMTPSA id -610599151; 
 (version=TLSv1.3 cipher=TLS_AES_256_GCM_SHA384);
 Sat, 01 Oct 2022 00:24:08 +0000 (UTC)
From: Lilah Tascheter <lilah@HIDDEN>
To: 58208 <at> debbugs.gnu.org
Subject: [PATCH 7/7] gnu: Add nnls-chroma.
Date: Fri, 30 Sep 2022 19:22:40 -0500
Message-Id: <9ffc498b9fcafdacf9625c2215b617537211ccb9.1664583143.git.lilah@HIDDEN>
In-Reply-To: <cover.1664583143.git.lilah@HIDDEN>
References: <cover.1664583143.git.lilah@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: zimon.toutoune@HIDDEN
X-Debbugs-Cc: paren@HIDDEN
X-Debbugs-Cc: mail@HIDDEN
X-Debbugs-Cc: rekado@HIDDEN
X-Debbugs-Cc: othacehe@HIDDEN
X-Debbugs-Cc: jgart@HIDDEN
X-Debbugs-Cc: ludo@HIDDEN
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by Purelymail
Content-Type: text/plain; charset=ANSI_X3.4-1968
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58208
Cc: Lilah Tascheter <lilah@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/audio.scm (nnls-chroma): New variable.
---
 gnu/packages/audio.scm | 43 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index 198e3cb7e8..c9a7829236 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -5942,6 +5942,49 @@ (define-public vamp-aubio-plugins
     (home-page "https://aubio.org/vamp-aubio-plugins/")
     (license license:gpl3+)))
=20
+(define-public nnls-chroma
+  (package
+    (name "nnls-chroma")
+    (version "1.1")
+    (source (origin
+              (method url-fetch)
+              ;; These urls have an "attachment number" :/ which makes thi=
s url
+              ;; not generalizable across versions.
+              (uri (string-append
+                     "https://code.soundsoftware.ac.uk/attachments/downloa=
d/"
+                     "1691/nnls-chroma-1.1.tar.gz"))
+              (sha256
+                (base32
+                  "06n66ff4w4a07rfz1kn0hq2g953dsx8a4cx1bhpvswqds1kb70md"))=
))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:tests? #f ;; no tests available
+       #:make-flags
+       (list "-f" "Makefile.linux"
+             (string-append "CC=3D" ,(cc-for-target))
+             (string-append "VAMP_SDK_DIR=3D" (assoc-ref %build-inputs "va=
mp")
+                            "/include/vamp-sdk"))
+       #:phases
+       ,#~(modify-phases %standard-phases
+            (delete 'configure) ;; no configure phase
+            (replace 'install ;; no install phase
+              (lambda _
+                (let ((outdir (string-append #$output "/lib/vamp"))
+                      (outfile "nnls-chroma.so"))
+                  (mkdir-p outdir)
+                  (copy-file outfile (string-append outdir "/" outfile))))=
))))
+    (inputs (list boost vamp))
+    (native-search-paths
+      (list (search-path-specification
+              (variable "VAMP_PATH")
+              (files '("lib/vamp")))))
+    (synopsis "VAMP plugins for audio transcription")
+    (description "A set of three VAMP plugins used for audio transcription=
: NNLS
+Chroma, providing chromatic transcription, Chordino, providing chord
+transcription, and Tuning, which estimates local and global tuning.")
+    (home-page "http://www.isophonics.net/nnls-chroma/")
+    (license license:gpl2+)))
+
 (define-public sonic-visualiser
   (package
     (name "sonic-visualiser")
--=20
2.37.2





Information forwarded to ludo@HIDDEN, guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.

Message received at 58208 <at> debbugs.gnu.org:


Received: (at 58208) by debbugs.gnu.org; 1 Oct 2022 00:24:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 30 20:24:34 2022
Received: from localhost ([127.0.0.1]:43190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oeQJ0-0001Iq-Ix
	for submit <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:24:34 -0400
Received: from sendmail.purelymail.com ([34.202.193.197]:43508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lilah@HIDDEN>) id 1oeQIw-0001Hx-NP
 for 58208 <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:24:31 -0400
Authentication-Results: purelymail.com; auth=pass
DKIM-Signature: a=rsa-sha256;
 b=DmkmzRx7kUpLNLlQjmUxh6lapmQ2KN+AXk/mu2TBslLrcp3HlHGf5OnsXDdyi3qxdsCSnr7zmYCVHvAfBkZvR07ixI8efncX5XkDG7hcMejiIt6303SF/M67uVJi97FQWo/cJQQuMyndIxQIWSmOI5XaKUExPAnx8uJojJeVtkRsYaMabo3kJvJNcdW8rqxcbFW3woUJXsTE8195nHW0clgqJ3x507TtTrsNYPIGUVV1hnM+AB4jZXYXigkHcuRn2ok+dod7hxZDahPV839/tiUHg+37zF2lpANvnP89y8QqoompYrKpRdxas919Vvq6QLRZmW9FoMN2hP5vKMDm2w==;
 s=purelymail2; d=lunabee.space; v=1;
 bh=+z9XYDf/mWRLifzicF4UALLskQ/oc0+twubeLk9mGzc=; h=Received:From:To:Subject; 
DKIM-Signature: a=rsa-sha256;
 b=PRoiTnng+Fy1cjZZRxTbB6ecvxQ9ZVenJ6SodQgjVYbzB379VsWG893J7Gau0jUkbg8JmHatcaip/5shnduKhoIweCndQRuY3ADaAaNAkzumDsHhA0tvAz1gMieGOA4n1blmbOhHRBSHEO4+/xturKddW6BPVxiOGaUxUIpp8TB5uiVcVelUbNKpZg+9BPlhQBbdOOatwfU7+7/2MmyUqVAcbwRGlkhNvVBdmXkiMfbIRalnJlpkERo1hyKtcnoch2sczTe2VvzteYKXKyU4fLjHwb0rt6FDFWz1VixX4OMClGF+W78uNsqLdd6Si5xV1yi+e87dYUL+QA/PLuhZ8g==;
 s=purelymail2; d=purelymail.com; v=1;
 bh=+z9XYDf/mWRLifzicF4UALLskQ/oc0+twubeLk9mGzc=;
 h=Feedback-ID:Received:From:To:Subject; 
Feedback-ID: 8937:2070:null:purelymail
X-Pm-Original-To: 58208 <at> debbugs.gnu.org
Received: by smtp.purelymail.com (Purelymail SMTP) with ESMTPSA id -610599151; 
 (version=TLSv1.3 cipher=TLS_AES_256_GCM_SHA384);
 Sat, 01 Oct 2022 00:24:08 +0000 (UTC)
From: Lilah Tascheter <lilah@HIDDEN>
To: 58208 <at> debbugs.gnu.org
Subject: [PATCH 6/7] gnu: Add vamp-aubio-plugins.
Date: Fri, 30 Sep 2022 19:22:39 -0500
Message-Id: <7545dbcf059f8a60f3b1a48411a3e30a893f0edc.1664583143.git.lilah@HIDDEN>
In-Reply-To: <cover.1664583143.git.lilah@HIDDEN>
References: <cover.1664583143.git.lilah@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: zimon.toutoune@HIDDEN
X-Debbugs-Cc: paren@HIDDEN
X-Debbugs-Cc: mail@HIDDEN
X-Debbugs-Cc: rekado@HIDDEN
X-Debbugs-Cc: othacehe@HIDDEN
X-Debbugs-Cc: jgart@HIDDEN
X-Debbugs-Cc: ludo@HIDDEN
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by Purelymail
Content-Type: text/plain; charset=ANSI_X3.4-1968
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58208
Cc: Lilah Tascheter <lilah@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/audio.scm (vamp-aubio-plugins): New variable.
---
 gnu/packages/audio.scm | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index 0d9261c35a..198e3cb7e8 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -5904,6 +5904,44 @@ (define-public streamripper
 be separated.")
     (license license:gpl2+)))
=20
+(define-public vamp-aubio-plugins
+  (package
+    (name "vamp-aubio-plugins")
+    (version "0.5.1")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://aubio.org/pub/vamp-aubio-plugin=
s/"
+                                  "vamp-aubio-plugins-" version ".tar.bz2"=
))
+              (sha256
+                (base32
+                  "1gpcg7hih42qmys8a9zylgas3xfrzqijasgaphm43bmiw7vrvxis"))
+              (modules '((guix build utils)))
+              (snippet '(begin ;; remove outdated & bundled waf
+                          (delete-file "waf")
+                          (delete-file-recursively "waflib")))))
+    (build-system waf-build-system)
+    (arguments
+      `(#:tests? #f ;; no tests available
+        #:phases
+        (modify-phases %standard-phases
+          (add-before 'configure 'setup-waf
+            (lambda* (#:key inputs #:allow-other-keys)
+              (let ((waf (assoc-ref inputs "python-waf")))
+                (copy-file (string-append waf "/bin/waf") "waf")))))))
+    (inputs (list aubio vamp))
+    (native-inputs (list pkg-config python-waf))
+    (native-search-paths
+      (list (search-path-specification
+              (variable "VAMP_PATH")
+              (files '("lib/vamp")))))
+    (synopsis "VAMP plugin for audio labelling")
+    (description "A set of VAMP plugins wrapping the audio annotation feat=
ures
+of Aubio for use in a VAMP host. Includes plugins for note tracking, energ=
y
+extracting, pitch detection, silence detection, spectral description, and =
beat
+tracking.")
+    (home-page "https://aubio.org/vamp-aubio-plugins/")
+    (license license:gpl3+)))
+
 (define-public sonic-visualiser
   (package
     (name "sonic-visualiser")
--=20
2.37.2





Information forwarded to ludo@HIDDEN, guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.

Message received at 58208 <at> debbugs.gnu.org:


Received: (at 58208) by debbugs.gnu.org; 1 Oct 2022 00:24:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 30 20:24:34 2022
Received: from localhost ([127.0.0.1]:43188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oeQJ0-0001Ij-76
	for submit <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:24:34 -0400
Received: from sendmail.purelymail.com ([34.202.193.197]:43510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lilah@HIDDEN>) id 1oeQIw-0001Hy-NM
 for 58208 <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:24:31 -0400
Authentication-Results: purelymail.com; auth=pass
DKIM-Signature: a=rsa-sha256;
 b=QKBJhnstjTaV3SQgnyW7TB9Q/uXah4ld3Cp7ffKdWTEKDyyYPk5pn9BlJsuoXEhWUW87/6OW896Mv1uYYVe53g0AH8r4X84X/54NuS2L+EdjaLOKp4s0ogqbAQBRDw1BnTiD158bM1OSp2IQbKsmDo2+c4qf74GL+sc7sMagwPpSBcd4XFjK0me+VriLYFAZsL4spED7u2wD6OHQxVFV0KpdjOdGnvZZYz6Nr3OjTEXV0ICHN3wkVFOH+kaUgmi075gfn5hGWFB1UJie8FcC4t06CzrJlFQhoyfhHkVcfaKyK61HKtZ4s6L8/nf4UCNK9sfObdp+Va+eHSRBF0yRRw==;
 s=purelymail2; d=lunabee.space; v=1;
 bh=wdpvvsaS2qm7szdPBDiy+09YC4MNXow3VRq5ogvAMxA=; h=Received:From:To:Subject; 
DKIM-Signature: a=rsa-sha256;
 b=n4IJ4lbPgjgChEbX62oceIX/HNmZZqCD1Pk77TIgUyziekRSGGe5X7Ie727NWx4sXTVB7hsSbZN2uXbLEUuCuVgezRBtzHeECEXQV9R6lD/YDLB6aowQBZxyEakn1iBN6oD6RLXdpnDpMcin2Uy1+YZozSZXM7IkvQ2l621H7y8FJnU8wPbr29yfphWzgcdp2MNuCrBzY8JBJFfsw+0OaClp9uxzgFRq0+UiwCGSCCmzRS1YTRUJbJXbi325tC4SBUcvyAejWt868JvP3MFbkrvtnH9qZX5pzG+jJaBb3HDmqBuOnx7uQf+GLVtvljo+FQzBRxm2lphWA9KeDFR/Lg==;
 s=purelymail2; d=purelymail.com; v=1;
 bh=wdpvvsaS2qm7szdPBDiy+09YC4MNXow3VRq5ogvAMxA=;
 h=Feedback-ID:Received:From:To:Subject; 
Feedback-ID: 8937:2070:null:purelymail
X-Pm-Original-To: 58208 <at> debbugs.gnu.org
Received: by smtp.purelymail.com (Purelymail SMTP) with ESMTPSA id -610599151; 
 (version=TLSv1.3 cipher=TLS_AES_256_GCM_SHA384);
 Sat, 01 Oct 2022 00:24:08 +0000 (UTC)
From: Lilah Tascheter <lilah@HIDDEN>
To: 58208 <at> debbugs.gnu.org
Subject: [PATCH 5/7] gnu: Add VAMP plugins to VAMP_PATH.
Date: Fri, 30 Sep 2022 19:22:38 -0500
Message-Id: <e1bd1e6a04b3423ba72ba598f75741f5f10cf36f.1664583143.git.lilah@HIDDEN>
In-Reply-To: <cover.1664583143.git.lilah@HIDDEN>
References: <cover.1664583143.git.lilah@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: zimon.toutoune@HIDDEN
X-Debbugs-Cc: paren@HIDDEN
X-Debbugs-Cc: mail@HIDDEN
X-Debbugs-Cc: rekado@HIDDEN
X-Debbugs-Cc: othacehe@HIDDEN
X-Debbugs-Cc: jgart@HIDDEN
X-Debbugs-Cc: ludo@HIDDEN
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by Purelymail
Content-Type: text/plain; charset=ANSI_X3.4-1968
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58208
Cc: Lilah Tascheter <lilah@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/audio.scm (rubberband, vamp)[native-search-paths]: Add
  VAMP plugins to the VAMP_PATH search path.
---
 gnu/packages/audio.scm | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index 0dd0b8ff55..0d9261c35a 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -3330,6 +3330,10 @@ (define-public rubberband
      (list ladspa libsamplerate vamp))
     (native-inputs
      (list pkg-config))
+    (native-search-paths
+     (list (search-path-specification
+            (variable "VAMP_PATH")
+            (files '("lib/vamp")))))
     (home-page "https://breakfastquay.com/rubberband/")
     (synopsis "Audio time-stretching and pitch-shifting library")
     (description
@@ -3547,6 +3551,10 @@ (define-public vamp
      (list libsndfile))
     (native-inputs
      (list pkg-config))
+    (native-search-paths
+     (list (search-path-specification
+            (variable "VAMP_PATH")
+            (files '("lib/vamp")))))
     (home-page "https://vamp-plugins.org")
     (synopsis "Modular and extensible audio processing system")
     (description
--=20
2.37.2





Information forwarded to ludo@HIDDEN, guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.

Message received at 58208 <at> debbugs.gnu.org:


Received: (at 58208) by debbugs.gnu.org; 1 Oct 2022 00:24:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 30 20:24:34 2022
Received: from localhost ([127.0.0.1]:43186 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oeQIz-0001Ib-PS
	for submit <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:24:34 -0400
Received: from sendmail.purelymail.com ([34.202.193.197]:50028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lilah@HIDDEN>) id 1oeQIt-0001Hi-52
 for 58208 <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:24:27 -0400
Authentication-Results: purelymail.com; auth=pass
DKIM-Signature: a=rsa-sha256;
 b=XxaN2rfx33ZrM5AZdgmnLAR6glTpfIi2n6fjQoZQt+DuLUTbVzwyL3CCSm6B61aIppI5AqL/ywVZ75kjEX1qkZaQFhoucPdG5tDpUCVtxm4eZ3gdOlNGppDcBPBem4JZQjSsR2a8YORmtLAyprbWIKdRAwO3prTReN9BDnaU26nQm9CKWMY6cYEpFmqrRUiICRLKF5/c9s4NKlPU/PxoDp3k5Z73IJgoa6788zBWZT+CmkgvLouwVMWH3ybmsrhopHEbMWp2qkjiwDvaF4seRSDsfxPbT79UknGnahGCVFs8n9FBOcHt+IHF5BG4usHJtVDz10DwuGkMpABkmVaTlw==;
 s=purelymail2; d=lunabee.space; v=1;
 bh=9eL+/mksSikHQb8CprbjH68ERFxNoVLCUGfOWdXiyWg=; h=Received:From:To:Subject; 
DKIM-Signature: a=rsa-sha256;
 b=ERvowTOverwuiMLEZO5/vF2y3tQm/QHanqqYtVD6msZfRWm18soqcMdmWYdiqmqzmdLHY692Sv0rQK9tjKZMKN0IUGeYol66h4OWs5xpvVzJnYw1Zk94y2JTjLQ6WnCdiiXopjVZ2i7i2tAj2AAhSGCHKp2UiL2V1nOa3bCc7qRMLXw/8Hh/CGg4hFfx92trzWeGoi9ziTsLWHTCRCzXPGva2bSxUczb5L4DlebJVlABhxcW8BlChsKFca1+ISHgKawOsSknQBsfuGn5yMsRKU3d10bJ3ksGpANRWJKLoJ0H3yiL4YMTJgdVWiQ/WNmrW5rmIFZ/CgxxBsJLuZDPkA==;
 s=purelymail2; d=purelymail.com; v=1;
 bh=9eL+/mksSikHQb8CprbjH68ERFxNoVLCUGfOWdXiyWg=;
 h=Feedback-ID:Received:From:To:Subject; 
Feedback-ID: 8937:2070:null:purelymail
X-Pm-Original-To: 58208 <at> debbugs.gnu.org
Received: by smtp.purelymail.com (Purelymail SMTP) with ESMTPSA id -610599151; 
 (version=TLSv1.3 cipher=TLS_AES_256_GCM_SHA384);
 Sat, 01 Oct 2022 00:24:08 +0000 (UTC)
From: Lilah Tascheter <lilah@HIDDEN>
To: 58208 <at> debbugs.gnu.org
Subject: [PATCH 4/7] gnu: Add sonic-visualiser.
Date: Fri, 30 Sep 2022 19:22:37 -0500
Message-Id: <5c85435a14c0b7e423ac3b9d03f238835c7cec0d.1664583143.git.lilah@HIDDEN>
In-Reply-To: <cover.1664583143.git.lilah@HIDDEN>
References: <cover.1664583143.git.lilah@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: zimon.toutoune@HIDDEN
X-Debbugs-Cc: paren@HIDDEN
X-Debbugs-Cc: mail@HIDDEN
X-Debbugs-Cc: rekado@HIDDEN
X-Debbugs-Cc: othacehe@HIDDEN
X-Debbugs-Cc: jgart@HIDDEN
X-Debbugs-Cc: ludo@HIDDEN
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by Purelymail
Content-Type: text/plain; charset=ANSI_X3.4-1968
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58208
Cc: Lilah Tascheter <lilah@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/audio.scm (sonic-visualiser): New variable.
---
 gnu/packages/audio.scm | 45 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index fd27c1cc71..0dd0b8ff55 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -5895,3 +5895,48 @@ (define-public streamripper
 separation data, and uses that as a marker for where the track should
 be separated.")
     (license license:gpl2+)))
+
+(define-public sonic-visualiser
+  (package
+    (name "sonic-visualiser")
+    (version "4.5")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                     "https://github.com/sonic-visualiser/sonic-visualiser=
"
+                     "/releases/download/sv_v" version "/sonic-visualiser-=
"
+                     version ".tar.gz"))
+              (sha256
+                (base32
+                  "18w2mf4c6sis0lg6dq75v4zb8q9rbmbmlfvcvk60lyqynmvq4yy5"))=
))
+    (build-system meson-build-system)
+    (arguments (list #:tests? #f)) ;; tests fail due to build sandbox
+    (inputs (list alsa-lib
+                  bzip2
+                  capnproto
+                  fftw
+                  jack-1
+                  libfishsound
+                  libid3tag
+                  liblo
+                  libmad
+                  libsamplerate
+                  libsndfile
+                  lrdf
+                  oggz
+                  opusfile
+                  portaudio
+                  pulseaudio
+                  qtbase-5
+                  qtsvg-5
+                  rubberband
+                  serd
+                  sord
+                  zlib))
+    (native-inputs (list pkg-config))
+    (synopsis "Program for visualising and inspecting audio files")
+    (description "Sonic Visualiser is a program for annotating, visualisin=
g, and
+inspecting audio files, providing waveform analysis and a VAMP host for ex=
ternal
+audio analysis and annotation plugins.")
+    (home-page "https://sonicvisualiser.org")
+    (license license:gpl2+)))
--=20
2.37.2





Information forwarded to ludo@HIDDEN, guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.

Message received at 58208 <at> debbugs.gnu.org:


Received: (at 58208) by debbugs.gnu.org; 1 Oct 2022 00:24:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 30 20:24:33 2022
Received: from localhost ([127.0.0.1]:43184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oeQIz-0001IZ-Ac
	for submit <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:24:33 -0400
Received: from sendmail.purelymail.com ([34.202.193.197]:50026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lilah@HIDDEN>) id 1oeQIt-0001Hh-4W
 for 58208 <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:24:27 -0400
Authentication-Results: purelymail.com; auth=pass
DKIM-Signature: a=rsa-sha256;
 b=sdWC6Rag6REBWiylktQStaRrDWVEIfRDsx/05iLqL5WxPi5IDixfxdA6AsMXmsdcFJx5GBc6QSc+jMz/0uTtquBrG/7evLoTZf7lR35Sr9PzrxY/0V4ndIRJ63+2omfq4F2iOy8iBqeCpn7KPon3aT2YtDH1oTCejhcPXodKvjX2S+W27IinRjmxrT+NFROBzpOvPrUKYMbJcyZuxZWTHUbqdve6vdzgPOnOkN2hQJS4AMeaRZgpJu2YPYoPqSkzSnLbuL/PYpmWpoY00AgtlAE04qo+TGzjgNLzFZGUnzHODJf7QpVgVmZE5iMIGNoXp5ww9UGd8YdR4tPEowRHrA==;
 s=purelymail2; d=lunabee.space; v=1;
 bh=4MOTof8YUe/F2I1tMJ/J/O9nC73Usggwe0a3kdCnGEI=; h=Received:From:To:Subject; 
DKIM-Signature: a=rsa-sha256;
 b=rNhbtDlwOLOmhHHptqCGcPxk7exrHxZctUYE5rLZKCzQf3XIJuE0n/l8gFv60g6hNnqoRFXfqVevW8RMk2bjWU0cV6k3k5Nn5t9iSpyh/kXzwubCkky3VkHFlAStR764e8ba7MOQYn6fmiR/mgRR1qrK6Yo9yroDErBWnQCTgWTV/hkwFVYyA89GRPKxEFITDTSTMCAIpKU1v9IEJa8CRSwuJQLsq5pDKoELkpFMiscVeLeJKLClMYEf0m9rnAhZjCZcPTw/bOk0blvWun9dtG5j1A1RTrg0hU2Vpe0wW9N9xfx+baO83M8J0jxBba9GDJWIdkryBqfdTkt20L9D7g==;
 s=purelymail2; d=purelymail.com; v=1;
 bh=4MOTof8YUe/F2I1tMJ/J/O9nC73Usggwe0a3kdCnGEI=;
 h=Feedback-ID:Received:From:To:Subject; 
Feedback-ID: 8937:2070:null:purelymail
X-Pm-Original-To: 58208 <at> debbugs.gnu.org
Received: by smtp.purelymail.com (Purelymail SMTP) with ESMTPSA id -610599151; 
 (version=TLSv1.3 cipher=TLS_AES_256_GCM_SHA384);
 Sat, 01 Oct 2022 00:24:07 +0000 (UTC)
From: Lilah Tascheter <lilah@HIDDEN>
To: 58208 <at> debbugs.gnu.org
Subject: [PATCH 3/7] gnu: Add libfishsound.
Date: Fri, 30 Sep 2022 19:22:36 -0500
Message-Id: <f896d13c494d7735999e4a99aad5199f0c26145a.1664583143.git.lilah@HIDDEN>
In-Reply-To: <cover.1664583143.git.lilah@HIDDEN>
References: <cover.1664583143.git.lilah@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: zimon.toutoune@HIDDEN
X-Debbugs-Cc: paren@HIDDEN
X-Debbugs-Cc: mail@HIDDEN
X-Debbugs-Cc: rekado@HIDDEN
X-Debbugs-Cc: othacehe@HIDDEN
X-Debbugs-Cc: jgart@HIDDEN
X-Debbugs-Cc: ludo@HIDDEN
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by Purelymail
Content-Type: text/plain; charset=ANSI_X3.4-1968
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58208
Cc: Lilah Tascheter <lilah@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xiph.scm (libfishsound): New variable.
---
 gnu/packages/xiph.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/xiph.scm b/gnu/packages/xiph.scm
index 112b8ddf87..3f2fb6a6f7 100644
--- a/gnu/packages/xiph.scm
+++ b/gnu/packages/xiph.scm
@@ -280,6 +280,27 @@ (define-public oggz
     (license license:bsd-3)
     (home-page "https://xiph.org/oggz/")))
=20
+(define-public libfishsound
+  (package
+    (name "libfishsound")
+    (version "1.0.0")
+    (source (origin
+             (method url-fetch)
+             (uri (string-append
+                    "https://downloads.xiph.org/releases/libfishsound/"
+                    "libfishsound-" version ".tar.gz"))
+             (sha256
+               (base32
+                 "1iz7mn6hw2wg8ljaw74f4g2zdj68ib88x4vjxxg3gjgc5z75f2rf")))=
)
+    (build-system gnu-build-system)
+    (inputs (list libvorbis speex))
+    (synopsis "Library for encoding and decoing Xiph.org codecs")
+    (description "A C library wrapping individual Xiph.org codecs, includi=
ng
+FLAC, Speex, and Vorbis, providing a unified higher-level interface for ha=
ndling
+raw codec streams.")
+    (license license:bsd-3)
+    (home-page "https://xiph.org/fishsound/")))
+
 (define-public libkate
   (package
    (name "libkate")
--=20
2.37.2





Information forwarded to ludo@HIDDEN, guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.

Message received at 58208 <at> debbugs.gnu.org:


Received: (at 58208) by debbugs.gnu.org; 1 Oct 2022 00:24:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 30 20:24:27 2022
Received: from localhost ([127.0.0.1]:43170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oeQIs-0001I0-Un
	for submit <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:24:27 -0400
Received: from sendmail.purelymail.com ([34.202.193.197]:43506)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lilah@HIDDEN>) id 1oeQIm-0001HR-PU
 for 58208 <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:24:22 -0400
Authentication-Results: purelymail.com; auth=pass
DKIM-Signature: a=rsa-sha256;
 b=aXPTXPqKRlBG1hpYAGbhkoWh/c8PttnC5gaXzhI/F8GqZtWvAaGWc33Q7VceFvS55QeH3SNSCb/IdCdBzdJ0IAlysCMVl/cT9kFTY+gbQQFrtXjVEK4A1VQLBCSKLo4seBwf0bCFtaT0NuM0bEqCRynVN38zVWb/c/0KGrwqiY3siWEe/tvd+CZFIXgXEDwQr+Q9c2USvIwPgzwoM1b8i+40kVpibJZLPylQp8UuJmsAkTPLr6qK23GbOQd5TBKm0BO7ruQmHRuHNiUPU6jEbZ2Da4KSoMn5x14qt/rVxZ88DeKdKhJCSSLYQKOxZwizNLnvY8Jz5hjlDnKxJhc8kA==;
 s=purelymail2; d=lunabee.space; v=1;
 bh=YP/3BrwbItztNTN449C5jkI08gLDArUanVYt3CdQgfY=; h=Received:From:To:Subject; 
DKIM-Signature: a=rsa-sha256;
 b=tU/HL+e9/kcfPcbp6ke3jibPepmXcV8YhGm4x+Py96vKvCrMThhpFpwGGFrm65Tt3SJ+3cIgRdhkNFHqdNmvjKUIeThlrFuD3YqK8cCiINu/SpY2dhDwZpRdCdPsh2tQX0WLXVFrFn+xSn1X4twrMEQzXV768Mx7cV0yFVc5ZqKv7MKGADGhRDHxfA2UfpQCtdUzXt5WWDYPEuTWGJno36/LTyHoO+M1Isbwa+nEBaxJqsZL0fnixljvWmw6m/porGgu6LSJSL0wQbw1WoY0hL9QRwTriKCq/3W4rFnPW6pNRCbKGLmGnaHu4n+WQK5RYBXTloz62kJSo8w1JoD5qw==;
 s=purelymail2; d=purelymail.com; v=1;
 bh=YP/3BrwbItztNTN449C5jkI08gLDArUanVYt3CdQgfY=;
 h=Feedback-ID:Received:From:To:Subject; 
Feedback-ID: 8937:2070:null:purelymail
X-Pm-Original-To: 58208 <at> debbugs.gnu.org
Received: by smtp.purelymail.com (Purelymail SMTP) with ESMTPSA id -610599151; 
 (version=TLSv1.3 cipher=TLS_AES_256_GCM_SHA384);
 Sat, 01 Oct 2022 00:24:07 +0000 (UTC)
From: Lilah Tascheter <lilah@HIDDEN>
To: 58208 <at> debbugs.gnu.org
Subject: [PATCH 1/7] gnu: Add oggz.
Date: Fri, 30 Sep 2022 19:22:34 -0500
Message-Id: <db29dd7eb2b6b344adcef49d8f15f52881c24e9b.1664583143.git.lilah@HIDDEN>
In-Reply-To: <cover.1664583143.git.lilah@HIDDEN>
References: <cover.1664583143.git.lilah@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: zimon.toutoune@HIDDEN
X-Debbugs-Cc: paren@HIDDEN
X-Debbugs-Cc: mail@HIDDEN
X-Debbugs-Cc: rekado@HIDDEN
X-Debbugs-Cc: othacehe@HIDDEN
X-Debbugs-Cc: jgart@HIDDEN
X-Debbugs-Cc: ludo@HIDDEN
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by Purelymail
Content-Type: text/plain; charset=ANSI_X3.4-1968
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58208
Cc: Lilah Tascheter <lilah@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xiph.scm (oggz): New variable.
---
 gnu/packages/xiph.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/xiph.scm b/gnu/packages/xiph.scm
index dffad299e9..b97d2a0553 100644
--- a/gnu/packages/xiph.scm
+++ b/gnu/packages/xiph.scm
@@ -259,6 +259,27 @@ (define-public flac
                                "See COPYING in the distribution.")) ; and =
LGPL and GPL
    (home-page "https://xiph.org/flac/")))
=20
+(define-public oggz
+  (package
+    (name "oggz")
+    (version "1.1.1")
+    (source (origin
+             (method url-fetch)
+             (uri (string-append "https://downloads.xiph.org/releases/libo=
ggz/"
+                                 "liboggz-" version ".tar.gz"))
+             (sha256
+               (base32
+                 "0nj17lhnsw4qbbk8jy4j6a78w6v2llhqdwq46g44mbm9w2qsvbvb")))=
)
+    (build-system gnu-build-system)
+    (inputs (list libogg))
+    (propagated-inputs (list util-linux)) ;; for getopt in oggz-diff
+    (synopsis "Library and cli tool for working with Ogg files")
+    (description "A C library for reading and writing Ogg files and stream=
s in
+multiple formats, bundled with cli tools to inspect, validate, crop, and e=
dit
+Ogg files.")
+    (license license:bsd-3)
+    (home-page "https://xiph.org/oggz/")))
+
 (define-public libkate
   (package
    (name "libkate")
--=20
2.37.2





Information forwarded to ludo@HIDDEN, guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.

Message received at 58208 <at> debbugs.gnu.org:


Received: (at 58208) by debbugs.gnu.org; 1 Oct 2022 00:24:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 30 20:24:22 2022
Received: from localhost ([127.0.0.1]:43168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oeQIo-0001Hn-La
	for submit <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:24:22 -0400
Received: from sendmail.purelymail.com ([34.202.193.197]:43504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lilah@HIDDEN>) id 1oeQIm-0001HQ-Op
 for 58208 <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:24:21 -0400
Authentication-Results: purelymail.com; auth=pass
DKIM-Signature: a=rsa-sha256;
 b=bCWng4n7Gg9dkTM+2KbQ0zl14IK5pkC76tF4Q5BK6QEBX06qTuziyCuaF/YdcT9qIg2l16fvilp3r1IJ8bBXhEP4fAy9Rp1U14Ckud549mVE99eqHYsleRYLPRIewnPXhKlymrNsXJxfQVk8hnxWCqjl5cvhvsaORXSC8vNF6SBBRwY35Iv9soraBFjQX9mGfGVwLHzeGwyVyn2qx89F9qS0m2yh7IMzU+6p4cJIRsyNVEnm3fJlX3ROW6/pO4gCrmeQrwJ7a08YWR77srzZaRe7jktJYaNHUBtVoD0gKwIiHI32UY9wO2PXyFgIZ+GzdDYKezTJmyRK2Qe/9UXIyw==;
 s=purelymail2; d=lunabee.space; v=1;
 bh=xOGnM/52G9yNEeVL8f+g0+ZyrAJCIkYFwUAn5oN71yM=; h=Received:From:To:Subject; 
DKIM-Signature: a=rsa-sha256;
 b=Xxh/7/Janw55IFZVXIjFpxHtbONYq6nkIyHp/wKdzBvKg4OgI/+6jKFfG8fHFU71mIXTMP8bKR3/Ylnsn3yqqwZ2Lg+l8eZSOxIOMHELgvDNIyOj+G1SlnRRfmVXXjQB0JeCGw3a0crSX1cZcOws79JEquOAOaG0VrHQePTB6Yq8rbCfZmYEbJHnofsEsEqrZXJzN0WHza4ESx3Cmr7OKV1TpUyueTVXCbagVvnOOmex42ENL1/XQTWBwwls4H4ZiVlGaAMfXl4pNh1sSkuSm8A2Y7T1OU5V5SH32tjAO2/PqwT6Ynzd0G7o+l89lxNE7++Aa5vV+NdaxcljX4UWEQ==;
 s=purelymail2; d=purelymail.com; v=1;
 bh=xOGnM/52G9yNEeVL8f+g0+ZyrAJCIkYFwUAn5oN71yM=;
 h=Feedback-ID:Received:From:To:Subject; 
Feedback-ID: 8937:2070:null:purelymail
X-Pm-Original-To: 58208 <at> debbugs.gnu.org
Received: by smtp.purelymail.com (Purelymail SMTP) with ESMTPSA id -610599151; 
 (version=TLSv1.3 cipher=TLS_AES_256_GCM_SHA384);
 Sat, 01 Oct 2022 00:24:07 +0000 (UTC)
From: Lilah Tascheter <lilah@HIDDEN>
To: 58208 <at> debbugs.gnu.org
Subject: [PATCH 2/7] gnu: libkate: Add optional input oggz.
Date: Fri, 30 Sep 2022 19:22:35 -0500
Message-Id: <65512e2f6081960c357ff9b7404d0c6222d95710.1664583143.git.lilah@HIDDEN>
In-Reply-To: <cover.1664583143.git.lilah@HIDDEN>
References: <cover.1664583143.git.lilah@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: zimon.toutoune@HIDDEN
X-Debbugs-Cc: paren@HIDDEN
X-Debbugs-Cc: mail@HIDDEN
X-Debbugs-Cc: rekado@HIDDEN
X-Debbugs-Cc: othacehe@HIDDEN
X-Debbugs-Cc: jgart@HIDDEN
X-Debbugs-Cc: ludo@HIDDEN
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by Purelymail
Content-Type: text/plain; charset=ANSI_X3.4-1968
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58208
Cc: Lilah Tascheter <lilah@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xiph.scm (libkate)[inputs]: Add optional input oggz.
---
 gnu/packages/xiph.scm | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/gnu/packages/xiph.scm b/gnu/packages/xiph.scm
index b97d2a0553..112b8ddf87 100644
--- a/gnu/packages/xiph.scm
+++ b/gnu/packages/xiph.scm
@@ -293,8 +293,7 @@ (define-public libkate
               "0s3vr2nxfxlf1k75iqpp4l78yf4gil3f0v778kvlngbchvaq23n4"))))
    (build-system gnu-build-system)
    (native-inputs (list doxygen bison pkg-config))
-   ;; FIXME: Add optional input liboggz
-   (inputs (list libogg libpng python-wrapper zlib))
+   (inputs (list libogg oggz libpng python-wrapper zlib))
    (synopsis "Karaoke and text codec for embedding in ogg")
    (description
     "Kate is an overlay codec, originally designed for karaoke and text,
--=20
2.37.2





Information forwarded to ludo@HIDDEN, guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Oct 2022 00:20:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 30 20:20:52 2022
Received: from localhost ([127.0.0.1]:43158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oeQFQ-0001Aw-3b
	for submit <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:20:52 -0400
Received: from lists.gnu.org ([209.51.188.17]:52948)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lilah@HIDDEN>) id 1oeQFM-0001Al-Qx
 for submit <at> debbugs.gnu.org; Fri, 30 Sep 2022 20:20:50 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40960)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <lilah@HIDDEN>)
 id 1oeQFM-0006Lb-JQ
 for guix-patches@HIDDEN; Fri, 30 Sep 2022 20:20:48 -0400
Received: from sendmail.purelymail.com ([34.202.193.197]:43388)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <lilah@HIDDEN>)
 id 1oeQFL-0005KI-1r
 for guix-patches@HIDDEN; Fri, 30 Sep 2022 20:20:48 -0400
Authentication-Results: purelymail.com; auth=pass
DKIM-Signature: a=rsa-sha256;
 b=bTQRhe6REUFJ8vwkkBMYnLzuIixAe58y0vJhlTd3aUGvlr3H4umNHn6py5AGBRDYHrwjiO20RR1zsY2eauEvQvLEINQMBp8Eh3IVVZM7BIDPV6XFgJLRrWb5/R9pgTwOrpa3hwBQrB1b0eM+bn+t9NeURByX94iL8fziuy9MIToYTFBs6OafMc75+WjqSz4LkrPiTrRNmQqV3S44UNMXdPewBw8QSdNlXkMcc/FwBSA/I7JwBSrtL3NgXQ/eqDrGF5wUwTI2uZ2gl8bhfCEfYY21T8O/FN1Skv4DFhu9ZfT/MhuRZ6Axcyan27IbrjN38s0ojMXLdHjADIEb4OmqBA==;
 s=purelymail2; d=lunabee.space; v=1;
 bh=RDFR2Ql/DerJnSd+BJZfcR2UbPa7ZkQkuG5VBrS+1bE=; h=Received:From:To:Subject; 
DKIM-Signature: a=rsa-sha256;
 b=VlvwDxIIWNuSfzyFkVBxdajVFaqHaZn8eLRoI9Wu0347dJUPejY33NZK5Rj6V/XRuKTQoKU7sdH5T4seIFyI2QFLJODamPijX35alsH7VQUz/WiPRfVmApEi2+W19xI5rCzfv75ffHF7OwAqKy5H3af3Jd1+ZRLV9PmCBe1NYwzqDtU4bMlxjiT+O/2bGblBAxJfonVIKhRVdXUeW22Tf+td0tasQc02wknzP7zISc8XZS7b8mpTE/HGn/yoE5d8UBLlPIn+6wJduZkbPywJa5lllDjYxT7qw83AKNKfcRWGbgpYYBj/5ysuSZ1ycdAE9Y7iI091oBwxZpivXfTWBA==;
 s=purelymail2; d=purelymail.com; v=1;
 bh=RDFR2Ql/DerJnSd+BJZfcR2UbPa7ZkQkuG5VBrS+1bE=;
 h=Feedback-ID:Received:From:To:Subject; 
Feedback-ID: 8937:2070:null:purelymail
X-Pm-Original-To: guix-patches@HIDDEN
Received: by smtp.purelymail.com (Purelymail SMTP) with ESMTPSA id 629083121; 
 (version=TLSv1.3 cipher=TLS_AES_256_GCM_SHA384);
 Sat, 01 Oct 2022 00:20:38 +0000 (UTC)
From: Lilah Tascheter <lilah@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/7] Add Sonic Visualiser and VAMP plugins.
Date: Fri, 30 Sep 2022 19:19:07 -0500
Message-Id: <cover.1664583143.git.lilah@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: zimon.toutoune@HIDDEN
X-Debbugs-Cc: paren@HIDDEN
X-Debbugs-Cc: mail@HIDDEN
X-Debbugs-Cc: rekado@HIDDEN
X-Debbugs-Cc: othacehe@HIDDEN
X-Debbugs-Cc: jgart@HIDDEN
X-Debbugs-Cc: ludo@HIDDEN
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by Purelymail
Content-Type: text/plain; charset=ANSI_X3.4-1968
Received-SPF: pass client-ip=34.202.193.197; envelope-from=lilah@HIDDEN;
 helo=sendmail.purelymail.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Lilah Tascheter <lilah@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Adds Sonic Visualiser as well as a set of VAMP plugins in order to provide
annotation and analysis functionality, as Sonic Visualiser is a VAMP host. =
One
of Sonic Visualiser's dependencies, oggz, was marked as a TODO to add on an=
other
package, so add it there as well. Finally, make sure all VAMP plugins (know=
n to
me) are added to the VAMP_PATH search path for use in a host.

Lilah Tascheter (7):
  gnu: Add oggz.
  gnu: libkate: Add optional input oggz.
  gnu: Add libfishsound.
  gnu: Add sonic-visualiser.
  gnu: Add VAMP plugins to VAMP_PATH.
  gnu: Add vamp-aubio-plugins.
  gnu: Add nnls-chroma.

 gnu/packages/audio.scm | 134 +++++++++++++++++++++++++++++++++++++++++
 gnu/packages/xiph.scm  |  45 +++++++++++++-
 2 files changed, 177 insertions(+), 2 deletions(-)


base-commit: 0dec41f329c37a4293a2a8326f1fe7d9318ec455
--=20
2.37.2





Acknowledgement sent to Lilah Tascheter <lilah@HIDDEN>:
New bug report received and forwarded. Copy sent to ludo@HIDDEN, guix-patches@HIDDEN. Full text available.
Report forwarded to ludo@HIDDEN, guix-patches@HIDDEN:
bug#58208; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 6 Nov 2022 17:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.